<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\DTO;

use KorElf\TranslateLaravel\Enums\TextType;

final readonly class Parameter
{
    public function __construct(
        private string   $text,
        private TextType $textType,
        private string   $targetLanguageCode,
        private ?string  $sourceLanguageCode = null,
        private ?string  $driver = null
    ) { }

    public function getText(): string
    {
        return $this->text;
    }

    public function getTextType(): TextType
    {
        return $this->textType;
    }

    public function getTargetLanguageCode(): string
    {
        return $this->targetLanguageCode;
    }

    public function getSourceLanguageCode(): ?string
    {
        return $this->sourceLanguageCode;
    }

    public function getDriver(): ?string
    {
        return $this->driver;
    }
}