<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\DTO;

use KorElf\TranslateLaravel\Enums\TextType;

final readonly class ProcessTranslateDto
{
    public function __construct(
        private string   $groupName,
        private string   $key,
        private int      $part,
        private string   $text,
        private TextType $textType,
        private string   $targetLanguageCode,
        private ?string  $sourceLanguageCode = null,
        private ?string  $driver = null
    ) { }

    public function getGroupName(): string
    {
        return $this->groupName;
    }

    public function getKey(): string
    {
        return $this->key;
    }

    public function getPart(): int
    {
        return $this->part;
    }

    public function getText(): string
    {
        return $this->text;
    }

    public function getTextType(): TextType
    {
        return $this->textType;
    }

    public function getTargetLanguageCode(): string
    {
        return $this->targetLanguageCode;
    }

    public function getSourceLanguageCode(): ?string
    {
        return $this->sourceLanguageCode;
    }

    public function getDriver(): ?string
    {
        return $this->driver;
    }
}