<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\Facades;

use Illuminate\Support\Facades\Facade;
use KorElf\TranslateLaravel\DTO\AfterTranslateDto;
use KorElf\TranslateLaravel\DTO\RunTranslateDto;

/**
 * @method static \KorElf\TranslateLaravel\Contracts\Translate service(?string $name = null)
 * @method static \KorElf\TranslateLaravel\Contracts\Translate resolve(string $name)
 * @method static string|array translateText(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null)
 * @method static string|array translateHtml(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null)
 * @method static \Illuminate\Foundation\Bus\PendingDispatch runJob(RunTranslateDto $params, AfterTranslateDto $afterTranslateDto)
 * @method static \KorElf\TranslateLaravel\DTO\Languages listLanguages()
 * @method static string getDefaultDriver()
 * @method static void setDefaultDriver(string $name)
 * @method static void purge(?string $name)
 * @method static array getLimit(?string $driver)
 */

final class Translate extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return 'translate';
    }
}